- Qt 5.15
- Qt Widgets
- C++ Classes
- QDoubleSpinBox
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QDoubleSpinBox

The following members of class QDoubleSpinBox are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(obsolete)` void | valueChanged(const QString &text)

## Member Function Documentation

### `[signal]` void QDoubleSpinBox::valueChanged(const QString &text)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is an overloaded function.

Use textChanged(QString) instead

The new value is passed in text with prefix() and suffix().

Note: Signal valueChanged is overloaded in this class. To connect to this signal by using the function pointer syntax, Qt provides a convenient helper for obtaining the function pointer as shown in this example:

     connect(doubleSpinBox, QOverload<const QString &>::of(&QDoubleSpinBox::valueChanged),
         [=](const QString &text){ /* ... */ });